### File

`packages/eui/packages/components-next/src/lib/components/eui-tabs/eui-tab/eui-tab.component.ts`

### Extends

`BaseDirective`

### Implements

`OnChanges`

### Metadata

selector | `eui-tab`
styleUrls | `../styles/_index.scss`
templateUrl | `./eui-tab.component.html`

### Index

###### Properties
_hasBackgroundFilled _isActive _isClosable _isDisabled _isVisible
###### Inputs
e2eAttr hasBackgroundFilled isActive isClosable isDisabled isHandleCloseOnClose isVisible tooltip url
###### Accessors
isClosable isVisible isActive isDisabled hasBackgroundFilled isHandleCloseOnClose templateLabel templateContent

### Constructor

`constructor(euiTabsComponent: EuiTabsComponent)`
Parameters :
Name | Type | Optional
euiTabsComponent | `EuiTabsComponent` | No

### Inputs

e2eAttr
Default value : `'eui-tab'`

hasBackgroundFilled

isActive

isClosable

isDisabled

isHandleCloseOnClose
Type : `boolean`

isVisible

tooltip
Type : `string`

url
Type : `string`

### Properties

_hasBackgroundFilled
Default value : `false`

_isActive
Default value : `false`

_isClosable
Default value : `false`

_isDisabled
Default value : `false`

_isVisible
Default value : `true`

### Accessors

isClosable
set `isClosable(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

isVisible
set `isVisible(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

isActive
set `isActive(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

isDisabled
set `isDisabled(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

hasBackgroundFilled
set `hasBackgroundFilled(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

isHandleCloseOnClose
set `isHandleCloseOnClose(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

templateLabel
get `templateLabel()`
set `templateLabel(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

templateContent
get `templateContent()`
set `templateContent(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""